Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class SummaryRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.SummaryRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class SummaryRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`SummaryRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCssClassName()`
`Map<String,Object>` | `getDataMap()`
`String` | `getDir()`
`Map<String,String>` | `getI18n()`
`String` | `getId()`
`List<String>` | `getItems()`
`int` | `getScrollLeft()`
`int` | `getScrollTop()`
`int` | `hashCode()`
`void` | `setCssClassName(String cssClassName)`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setDir(String dir)`
`void` | `setI18n(Map<String,String> i18n)`
`void` | `setId(String id)`
`void` | `setItems(List<String> items)`
`void` | `setScrollLeft(int scrollLeft)`
`void` | `setScrollTop(int scrollTop)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SummaryRepresentation

    public SummaryRepresentation()

Method Detail

### getCssClassName

    public String getCssClassName()

### setCssClassName

    public void setCssClassName(String cssClassName)

### getDir

    public String getDir()

### setDir

    public void setDir(String dir)

### getId

    public String getId()

### setId

    public void setId(String id)

### getScrollLeft

    public int getScrollLeft()

### setScrollLeft

    public void setScrollLeft(int scrollLeft)

### getScrollTop

    public int getScrollTop()

### setScrollTop

    public void setScrollTop(int scrollTop)

### getI18n

    public Map<String,String> getI18n()

### setI18n

    public void setI18n(Map<String,String> i18n)

### getItems

    public List<String> getItems()

### setItems

    public void setItems(List<String> items)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.